import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainInformationSectionTable from '@/components/Render/Main/Information/Section/table'
import PagesMainInformationSectionCreate from '@/components/Render/Main/Information/Section/create'

const InformationSectionPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainInformationSectionTable getId={getId}></PagesMainInformationSectionTable>
                <PagesMainInformationSectionCreate id={id}></PagesMainInformationSectionCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(InformationSectionPage);

